{
  description = "jolheiser nix development shells";
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixpkgs-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };
  outputs = {
    self,
    nixpkgs,
    ...
  } @ inputs:
    inputs.flake-utils.lib.eachDefaultSystem (system: let
      pkgs = nixpkgs.legacyPackages.${system};
      simpleShell = packages:
        pkgs.mkShell {
          nativeBuildInputs = packages;
        };
    in {
      devShells = {
        gitea-docusaurus = simpleShell (with pkgs; [nodejs gnumake]);
        gitea = simpleShell (with pkgs; [poetry gnumake]);
      };
    });
}
